
#ifndef _QUESTGUI_H
#define _QUESTGUI_H

#include "world_entity.h"

class Quest;
namespace OrxGui { class GLGuiBox; }

class QuestGUI : public WorldEntity
{

  ObjectListDeclaration(QuestGUI);

  public:
   QuestGUI (const TiXmlElement* root = NULL);
   virtual ~QuestGUI ();

   void loadParams(const TiXmlElement* root);
   bool isActive(){ return this->bActive; }

   void startGUI();
   void stopGUI();

   virtual void tick(float dt);

  private:
    Quest*                 myQuest;
    bool                   bKillGui;
    bool                   bActive;

    OrxGui::GLGuiBox*       questBox;
    
    

    void accept();
    void refuse();
    void killgui();
};

#endif /* _QUESTGUI_H */
